Commit cbd60be4 authored by Seamus Lee's avatar Seamus Lee

CRM-21719 Require Multibyte PHP extension

parent 56d39776
......@@ -727,6 +727,13 @@ class InstallRequirements {
ts("JSON support not included in PHP."),
));
// check for Multibyte support such as mb_substr. Required for proper handling of Multilingual setups.
$this->requireFunction('mb_substr', array(
ts("PHP Configuration"),
ts("Multibyte support"),
ts("Multibyte support not enabled in PHP."),
));
// Check for xcache_isset and emit warning if exists
$this->checkXCache(array(
ts("PHP Configuration"),
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment